EC-cube3系の「空でなければなりません」のエラーメッセージが気に食わないので、変更した。

EC-cube3系の「空でなければなりません」のエラーメッセージが気に食わないので、変更してほしいという依頼をうけました。

あああ

選択していないで、カートに入れると、「空でなければなりません」という文言が表示されました。

さすがに、意味がわからないので、まずは該当箇所をさがしてみました。そうすると、一部分が該当しました。

/eccube/vendor/symfony/validator/Resources/translations/validators.ja.xlf

<trans-unit id="4">
<source>This value should be blank.</source>
<target>空でなければなりません。</target>
</trans-unit>

さすがに、これだと変なので、入力してくださいと変更

<trans-unit id="4">
<source>This value should be blank.</source>
<target>入力してください。</target>
</trans-unit>

ひとまず、修正して、変更もされました。

ec-cube3

ソースコードの変更は、自己責任でお願いします。

 

コメント